]> git.sur5r.net Git - u-boot/blobdiff - test/run
Merge branch 'master' of git://git.denx.de/u-boot-sunxi
[u-boot] / test / run
index a6dcf8f44fcfbda238355d82f7fbb142a66b4833..d77a1c371b44bbc3a15c890c33c274374b77b961 100755 (executable)
--- a/test/run
+++ b/test/run
@@ -1,4 +1,42 @@
-#!/bin/sh
+#!/bin/bash
 
-# Run all tests
-./test/py/test.py --bd sandbox --build
+run_test() {
+       $@
+       [ $? -ne 0 ] && result=$((result+1))
+}
+
+result=0
+
+# Run all tests that the standard sandbox build can support
+run_test ./test/py/test.py --bd sandbox --build
+
+# Run tests which require sandbox_spl
+run_test ./test/py/test.py --bd sandbox_spl --build -k test_ofplatdata.py
+
+# Run tests for the flat DT version of sandbox
+./test/py/test.py --bd sandbox_flattree --build
+
+DTC_DIR=build-sandbox_spl/scripts/dtc
+
+PYTHONPATH=${DTC_DIR}/pylibfdt DTC=${DTC_DIR}/dtc run_test \
+       ./tools/binman/binman -t
+run_test ./tools/patman/patman --test
+run_test ./tools/buildman/buildman -t
+PYTHONPATH=${DTC_DIR}/pylibfdt DTC=${DTC_DIR}/dtc run_test ./tools/dtoc/dtoc -t
+
+# This needs you to set up Python test coverage tools.
+# To enable Python test coverage on Debian-type distributions (e.g. Ubuntu):
+#   $ sudo apt-get install python-pytest python-coverage
+PYTHONPATH=${DTC_DIR}/pylibfdt DTC=${DTC_DIR}/dtc run_test \
+       ./tools/binman/binman -T
+PYTHONPATH=${DTC_DIR}/pylibfdt DTC=${DTC_DIR}/dtc run_test \
+       ./tools/dtoc/dtoc -T
+PYTHONPATH=${DTC_DIR}/pylibfdt DTC=${DTC_DIR}/dtc run_test \
+       ./tools/dtoc/test_fdt -T
+
+if [ $result == 0 ]; then
+       echo "Tests passed!"
+else
+       echo "Tests FAILED"
+       exit 1
+fi